# Type alias Batch<C>

Batch<C>: {
breadcrumb: Project.LoadCompile.Batch.Compilations.Breadcrumb<C>;
entry: Project.LoadCompile.Batch.Entry<C>;
input: Project.LoadCompile.Batch.Compilation<C>;
output: Project.LoadCompile.Batch.Compilation<C> & {
db: Resources<C>;
};
result: Project.LoadCompile.Batch.Result<C>;
structure: Project.LoadCompile.Batch.Compilations.Structure<C>;
}

#### Type Parameters

- #### C extends Project.LoadCompile.Batch.Config

#### Type declaration

- ##### breadcrumb: Project.LoadCompile.Batch.Compilations.Breadcrumb<C>

- ##### entry: Project.LoadCompile.Batch.Entry<C>

- ##### input: Project.LoadCompile.Batch.Compilation<C>

- ##### output: Project.LoadCompile.Batch.Compilation<C> & {
  db: Resources<C>;
  }

- ##### result: Project.LoadCompile.Batch.Result<C>

- ##### structure: Project.LoadCompile.Batch.Compilations.Structure<C>

- Defined in packages/db/src/project/loadCompile/batch.ts:42

Generated using TypeDoc